Package com.collabnet.ce.soap60.webservices.page

# Class PageSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
com.collabnet.ce.soap60.webservices.page.PageSoapRow

public class PageSoapRow extends FolderSoapRow
This class repents a list of project pages, sorted by its display order.

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDisplayPosition()`
  Returns 'displayPosition'.
  `boolean`
  `getFreeform()`
  Returns 'freeform'.
  `boolean`
  `getVisible()`
  Returns 'visible'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDisplayPosition(int displayPosition)`
  Sets 'displayPosition'.
  `void`
  `setFreeform(boolean freeform)`
  Sets 'freeform'.
  `void`
  `setVisible(boolean visible)`
  Sets 'visible'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

  `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PageSoapRow

    public PageSoapRow()

- ## Method Details

  - ### getVisible

    public boolean getVisible()
    Returns 'visible'. Indicates whether this page is visible.
    Returns:
      Value of 'visible'.

  - ### setVisible

    public void setVisible(boolean visible)
    Sets 'visible'. Indicates whether this page is visible.
    Parameters:
      `visible` - Value of 'visible'.

  - ### getFreeform

    public boolean getFreeform()
    Returns 'freeform'. Indicates whether this page must be hidden in the left navigation.
    Returns:
      Value of 'freeform'.

  - ### setFreeform

    public void setFreeform(boolean freeform)
    Sets 'freeform'. Indicates whether this page must be hidden in the left navigation.
    Parameters:
      `freeform` - Value of 'freeform'.

  - ### getDisplayPosition

    public int getDisplayPosition()
    Returns 'displayPosition'. Indicates the display position of this page.
    Returns:
      Value of 'displayPosition'.

  - ### setDisplayPosition

    public void setDisplayPosition(int displayPosition)
    Sets 'displayPosition'. Indicates the display position of this page.
    Parameters:
      `displayPosition` - Value of 'displayPosition'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)